public class UE7Aufgabe65 {

	public static void main(String[] args) {
		// int[][] matrix = new int[5][6];
		// int[][] matrix = { { 0 }, {0}, null, { 0, 0 }, {}, { 0, 0, 0 }, };
		// int[][] matrix = null;
		int[][] matrix = { { 0 }, { 0 }, { 0, 0, 0 }, { 0, 0 }, {},
				{ 0, 0, 0 }, };

		fuelleMatrixAlternierend(matrix);
		print(matrix);
	}

	static void fuelleMatrixAlternierend(int[][] matrix) {
		if (matrix == null) {
			return;
		}
		int aktZahl = 1;
		for (int r = 0; r < matrix.length; r = r + 2) {
			if (matrix[r] != null) {
				for (int s = 0; s < matrix[r].length; s++) {
					matrix[r][s] = aktZahl++;
				}
			}
			if (r + 1 < matrix.length) {
				if (matrix[r + 1] != null) {
					for (int s = matrix[r + 1].length - 1; s >= 0; s--) {
						matrix[r + 1][s] = aktZahl++;
					}
				}
			}
		}
	}

	// nur zu Testzwecken
	static void print(int[][] matrix) {
		int laenge = anzahlZiffern(matrix.length * matrix[0].length) + 1;
		for (int r = 0; r < matrix.length; r++) {
			if (matrix[r] != null) {
				for (int s = 0; s < matrix[r].length; s++) {
					ausgabe(matrix[r][s], laenge);
				}
			}
			System.out.println();
		}
		System.out.println();
	}

	static int anzahlZiffern(int zahl) {
		return zahl < 10 ? 1 : anzahlZiffern(zahl / 10) + 1;
	}

	static void ausgabe(int zahl, int laenge) {
		for (int i = 1; i <= laenge - anzahlZiffern(zahl); i++) {
			System.out.print(' ');
		}
		System.out.print(zahl);
	}
}
