// https://de.wikipedia.org/wiki/Insertionsort
public class UE7Aufgabe77 {

	public static void main(String[] args) {
		int[] numbers = new int[] { 3, 8, -2, 3, 9, -5 };
		insertionSort(numbers);
		for (int number : numbers) {
			System.out.print(number + " ");
		}
	}

	static void insertionSort(int[] numbers) {
		if (numbers == null || numbers.length < 2) {
			return;
		}
		for (int i = 1; i < numbers.length; i++) {
			int number = numbers[i];
			int j = i;
			while (j >= 1 && numbers[j - 1] > number) {
				numbers[j] = numbers[j - 1];
				j = j - 1;
			}
			numbers[j] = number;
		}
	}

}
