public class UE7Aufgabe64 {

	final static int ANZAHL_MULDEN = 12;
	final static int SAMEN_PRO_MULDE = 3;
	final static int FELD_LAENGE = ("" + (ANZAHL_MULDEN * SAMEN_PRO_MULDE))
			.length() + 1;

	public static void main(String[] args) {
		int[] brett = initBrett();
		int spieler = 1;
		print(brett);
		while (!spielEnde(brett, spieler)) {
			System.out.println("Spieler " + spieler + " ist am Zug!");
			int mulde = IO.readInt("Muldennummer: ");
			while (!spielzugOk(brett, spieler, mulde)) {
				mulde = IO.readInt("Ungueltig! Muldennummer: ");
			}
			spielzugAusfuehren(brett, spieler, mulde);
			spieler = spieler % 2 + 1; // Spielerwechsel
			print(brett);
		}
		System.out.println("Ende! Spieler " + spieler + " hat verloren!");
	}

	static int[] initBrett() {
		int[] brett = new int[ANZAHL_MULDEN];
		for (int i = 0; i < brett.length; i++) {
			brett[i] = SAMEN_PRO_MULDE;
		}
		return brett;
	}

	static void print(int[] brett) {
		for (int i = 0; i < ANZAHL_MULDEN; i++) {
			System.out.format("%" + FELD_LAENGE + "d", i);
		}
		System.out.println();
		for (int i = 0; i < ANZAHL_MULDEN; i++) {
			System.out.format("%" + FELD_LAENGE + "d", brett[i]);
		}
		System.out.println();
	}

	static boolean spielEnde(int[] brett, int spieler) {
		for (int i = 0; i < ANZAHL_MULDEN; i++) {
			if (spielzugOk(brett, spieler, i)) {
				return false;
			}
		}
		return true;
	}

	static boolean spielzugOk(int[] brett, int spieler, int mulde) {
		if (spieler == 1) {
			return mulde >= 0 && mulde < ANZAHL_MULDEN && brett[mulde] > 0
					&& mulde + brett[mulde] < ANZAHL_MULDEN
					&& brett[mulde + brett[mulde]] > 0;
		} else {
			return mulde >= 0 && mulde < ANZAHL_MULDEN && brett[mulde] > 0
					&& mulde - brett[mulde] >= 0
					&& brett[mulde - brett[mulde]] > 0;
		}
	}

	static void spielzugAusfuehren(int[] brett, int spieler, int mulde) {
		if (spieler == 1) {
			for (int i = 1; i <= brett[mulde]; i++) {
				brett[mulde + i]++;
			}
		} else {
			for (int i = 1; i <= brett[mulde]; i++) {
				brett[mulde - i]++;
			}
		}
		brett[mulde] = 0;
	}

}
