
public class UE7Aufgabe71 {

	/*
	 * Rotiert die Elemente des übergebenen Arrays um die angegebene (positive)
	 * Distanz nach rechts. Nach Aufruf dieser Methode ist das Element, das
	 * zuvor an Index i war, nun am Index ((i + distance) % array.length, und
	 * zwar für alle Werte i zwischen 0 und array.length - 1.
	 * 
	 * Beispiel: Nehmen wir das Array array = [3, 7, -2, 8, 9]. Nach Aufruf von
	 * rotate(array, 1) (oder auch rotate(array, 6)), hat das Array den Inhalt
	 * [9, 3, 7, -2, 8].
	 * 
	 * @param array - das zu rotierende Array (!= null)
	 * 
	 * @param distance - die Distanz, um die die Elemente des Arrays rotiert
	 * werden sollen; Achtung: kann ein beliebiger nicht negativer int-Wert sein
	 */
	public static void rotate(int[] array, int distance) {
		int[] rotatedArray = new int[array.length];
		for (int i = 0; i < array.length; i++) {
			rotatedArray[(i + distance) % array.length] = array[i];
		}
		for (int i = 0; i < array.length; i++) {
			array[i] = rotatedArray[i];
		}
	}

	public static void print(int[] array) {
		for (int v : array) {
			System.out.print(v + " ");
		}
		System.out.println();
	}

	public static void main(String[] args) {
		int[] values = { 3, 7, -2, 8, 9 };
		print(values);
		rotate(values, 1);
		print(values);
	}

}
