
public class UE7Aufgabe79 {

	public static void main(String[] args) {
		// constants
		final int from = -1;
		final int to = 6;
		final int number = to - from + 1;
		final int finishNumber = 51;

		// init
		int[] cards = new int[number];
		for (int i = 0; i < cards.length; i++) {
			cards[i] = 4;
		}
		int points = 0;
		int player = 1;

		// play game
		while (true) {
			printCards(cards, from, to);
			System.out.println("Spielstand = " + points);
			System.out.println("Spieler " + player + " ist am Zug!");
			int input = readInput(cards, from, to);
			points += input;
			cards[input - from]--;
			checkReinit(cards, from, to);
			if (points >= finishNumber) {
				System.out.println("Spielstand = " + points);
				System.out.println("Spieler " + player + " hat verloren");
				return;
			}
			player = player % 2 + 1;
		}
	}
	
	static void checkReinit(int[] cards, int from, int to) {
		for (int i = from; i <= to; i++) {
			if (cards[i - from] > 0) {
				return;
			}
		}
		for (int i = 0; i < cards.length; i++) {
			cards[i] = 4;
		}
	}

	static int readInput(int[] cards, int from, int to) {
		int input = IO.readInt("Welche Karte möchtest du ziehen? ");
		while (input < from || input > to || cards[input - from] <= 0) {
			input = IO.readInt("Fehlerhafte Eingabe! Welche Karte möchtest du ziehen? ");
		}
		return input;
	}

	static void printCards(int[] cards, int from, int to) {
		System.out.println("Karten: ");
		System.out.print("Nummern: ");
		for (int i = from; i <= to; i++) {
			System.out.print(i + " ");
		}
		System.out.println();
		System.out.print("Anzahl:   ");
		for (int i = from; i <= to; i++) {
			System.out.print(cards[i - from] + " ");
		}
		System.out.println();

	}

}
