public class UE7Aufgabe9 {

	static final int GROESSE = 5;

	public static void main(String[] args) {
		int[][] brett = new int[GROESSE][GROESSE];
		for (int r = 0; r < brett.length; r++) {
			for (int s = 0; s < brett[r].length; s++) {
				brett[r][s] = 0;
			}
		}
		brett[0][0] = 1;
		int reihe = 0;
		int spalte = 0;

		loeseSpringerProblem(brett, reihe, spalte, 2);

	}

	static void loeseSpringerProblem(int[][] brett, int aktReihe,
			int aktSpalte, int aktZahl) {
		int[][] spruenge = findeSpruenge(brett, aktReihe, aktSpalte);
		for (int s = 0; s < spruenge.length; s++) {
			if (spruenge[s][0] == -1)
				return;
			brett[spruenge[s][0]][spruenge[s][1]] = aktZahl;
			if (aktZahl == GROESSE * GROESSE) {
				print(brett);
			}
			loeseSpringerProblem(brett, spruenge[s][0], spruenge[s][1],
					aktZahl + 1);
			brett[spruenge[s][0]][spruenge[s][1]] = 0;
		}
	}

	static int[][] findeSpruenge(int[][] brett, int aktReihe, int aktSpalte) {
		int[][] spruenge = new int[8][2];
		for (int r = 0; r < spruenge.length; r++) {
			for (int s = 0; s < spruenge[r].length; s++) {
				spruenge[r][s] = -1;
			}
		}

		int aktIndex = 0;
		aktIndex = check(brett, spruenge, aktReihe - 2, aktSpalte - 1, aktIndex);
		aktIndex = check(brett, spruenge, aktReihe - 2, aktSpalte + 1, aktIndex);
		aktIndex = check(brett, spruenge, aktReihe + 2, aktSpalte - 1, aktIndex);
		aktIndex = check(brett, spruenge, aktReihe + 2, aktSpalte + 1, aktIndex);
		aktIndex = check(brett, spruenge, aktReihe - 1, aktSpalte - 2, aktIndex);
		aktIndex = check(brett, spruenge, aktReihe - 1, aktSpalte + 2, aktIndex);
		aktIndex = check(brett, spruenge, aktReihe + 1, aktSpalte - 2, aktIndex);
		aktIndex = check(brett, spruenge, aktReihe + 1, aktSpalte + 2, aktIndex);
		return spruenge;
	}

	static int check(int[][] brett, int[][] spruenge, int reihe, int spalte,
			int index) {
		if (reihe >= 0 && reihe < GROESSE && spalte >= 0 && spalte < GROESSE
				&& brett[reihe][spalte] == 0) {
			spruenge[index][0] = reihe;
			spruenge[index][1] = spalte;
			index++;
		}
		return index;
	}

	static void print(int[][] brett) {
		for (int[] reihe : brett) {
			for (int wert : reihe) {
				System.out.print(wert + " ");
			}
			System.out.println();
		}
		System.out.println();
	}

}
